###############################################################################
#
# This file contains settings for configuring processes related to the
# synchronization of active and passive admin nodes.
#
# Please see PingFederate documentation for details on this
# active/passive administrative console feature.
#
###############################################################################

# Whether this feature is enabled
# Default = false
enabled=false

# The interval (in seconds) that a passive admin node will poll the active
# node for updated configuration data.
# Default = 10
passive.node.data.sync.interval.secs=10

# The timeout period for passive admin node requests to retrieve
# configuration data, in milliseconds.
# Default = 20000
rpc.synchronization.data.timeout.milliseconds=20000

# The interval (in seconds) that a passive admin node will reload its
# synchronized configuration data. Configuration reload can be
# time-consuming, but this helps identify configuration issues earlier
# on passive admin nodes. This value should be greater than the sync
# interval on passive nodes.
# Default = 300
passive.node.configuration.reload.interval.secs=300

# The interval (in seconds) that has passed since the active node's last
# successful sync with a passive node before a warning is shown on
# the active admin console. This value should be greater than the sync
# interval on passive nodes.
# Default = 25
active.node.last.successful.sync.warning.secs=25